"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceAllWholeButOnlyCheckPrefix = exports.replaceAllWhole = exports.escapeRegExp = void 0;
function escapeRegExp(string) {
    return string.replace(/[.*+?^${}()|[\]\\]/g, "\\$&"); // $& means the whole matched string
}
exports.escapeRegExp = escapeRegExp;
function replaceAllWhole(str, find, replace) {
    return str.replace(new RegExp("\\b" + escapeRegExp(find) + "\\b", "g"), replace);
}
exports.replaceAllWhole = replaceAllWhole;
function replaceAllWholeButOnlyCheckPrefix(str, find, replace) {
    return str.replace(new RegExp("\\b" + escapeRegExp(find), "g"), replace);
}
exports.replaceAllWholeButOnlyCheckPrefix = replaceAllWholeButOnlyCheckPrefix;
